BrewForge Docs
ApiV1ProfilesEquipmentId

Get equipment profile

GET
/api/v1/profiles/equipment/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

API token in format: bfk_

In: header

Path Parameters

id*string

Profile ID

Response Body

application/json

application/json

curl -X GET "https://brewforge.sh/api/v1/profiles/equipment/string"
{
  "id": "string",
  "name": "My Brew Kettle",
  "description": "string",
  "isDefault": true,
  "batchVolume": 20,
  "batchVolumeReference": "fermenter",
  "boilTime": 60,
  "preBoilVolume": 0,
  "boilOffRate": 4,
  "boilOffRateMode": "volume",
  "trubChillerLoss": 0,
  "mashTunDeadSpace": 0,
  "mashTunLoss": 0,
  "fermenterLoss": 0,
  "hltDeadSpace": 0,
  "fermenterTopUp": 0,
  "brewHouseEfficiency": 72,
  "mashEfficiency": 0,
  "efficiencyDisplay": "brewhouse",
  "hopUtilization": 0,
  "mashTunMaxVolume": 0,
  "kettleMaxVolume": 0,
  "grainAbsorptionRate": 0,
  "waterToGrainRatio": 0,
  "calculationMethod": "default",
  "mashWaterMin": 0,
  "mashWaterMax": 0,
  "spargeWaterMin": 0,
  "spargeWaterMax": 0,
  "includeGrainVolume": true,
  "overflowTarget": "top_up",
  "altitude": 0,
  "boilTemperature": 0,
  "hopstandTemperature": 0,
  "hopstandDuration": 0,
  "grainTemperature": 0,
  "mashTunHeatCapacity": 0,
  "coolingShrinkage": 0,
  "calculateStrikeTemp": true,
  "spargeTemperature": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}